extends Node3D

@onready var state_machine = $AnimationTree.get("parameters/playback")



func play_start_animation():
	if state_machine.get_current_node() =="Pull_Start":
		return
	print(state_machine.is_playing())
	print("play start")
	state_machine.travel("Pull_Start")
	
func play_end_animation():
	if state_machine.get_current_node() =="Pull_End":
		return
	print ("play end")
	state_machine.travel("Pull_End")
